<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.tooling.events (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../../org/gradle/tooling/events/package-summary.html" target="classFrame">org.gradle.tooling.events</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="FailureResult.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>FailureResult</i></a></li>
<li><a href="FinishEvent.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>FinishEvent</i></a></li>
<li><a href="OperationDescriptor.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>OperationDescriptor</i></a></li>
<li><a href="OperationResult.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>OperationResult</i></a></li>
<li><a href="ProgressEvent.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>ProgressEvent</i></a></li>
<li><a href="ProgressListener.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>ProgressListener</i></a></li>
<li><a href="SkippedResult.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>SkippedResult</i></a></li>
<li><a href="StartEvent.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>StartEvent</i></a></li>
<li><a href="StatusEvent.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>StatusEvent</i></a></li>
<li><a href="SuccessResult.html" title="interface in org.gradle.tooling.events" target="classFrame"><i>SuccessResult</i></a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="OperationType.html" title="enum in org.gradle.tooling.events" target="classFrame">OperationType</a></li>
</ul>
</div>
</body>
</html>
